Bug 712923 - Review Request: gnome-contacts - Contacts manager for GNOME
Summary: Review Request: gnome-contacts - Contacts manager for GNOME
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 710421
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-13 15:36 UTC by Elad Alfassa
Modified: 2011-07-12 06:53 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-12 06:53:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwickert: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Elad Alfassa 2011-06-13 15:36:29 UTC
Spec URL: http://elad.fedorapeople.org/reviews/gnome-contacts.spec
SRPM URL: http://elad.fedorapeople.org/reviews/gnome-contacts-0.1.0-1.fc15.src.rpm
Description: gnome-contacts is a standalone contacts manager for GNOME desktop.

Comment 1 Fabian Affolter 2011-06-19 11:56:22 UTC
Just some comments:

- All doc files missing in the %doc section.
- Why aren't your using the -devel packages as BRs and let rpm do the rest?

Comment 2 Elad Alfassa 2011-06-19 12:22:27 UTC
(In reply to comment #1)
> Just some comments:
> 
> - All doc files missing in the %doc section.
Oops
> - Why aren't your using the -devel packages as BRs and let rpm do the rest?
Ok, if that's what you want.

Spec (same link): http://elad.fedorapeople.org/reviews/gnome-contacts.spec
New SRPM: http://elad.fedorapeople.org/reviews/gnome-contacts-0.1.0-2.fc16.src.rpm




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Elad Alfassa 2011-06-19 12:29:17 UTC
rpmlint output:
[elad@elephant result]$ rpmlint *rpm
gnome-contacts.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-contacts-0.1.0/COPYING
gnome-contacts.x86_64: W: no-manual-page-for-binary gnome-contacts
gnome-contacts-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-contacts-0.1.0/src/main.c
gnome-contacts-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-contacts-0.1.0/src/contacts-contact-pane.c
gnome-contacts-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-contacts-0.1.0/src/contacts-list-pane.c
gnome-contacts-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-contacts-0.1.0/src/contacts-menu-button.c
gnome-contacts-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-contacts-0.1.0/src/contacts-app.c
gnome-contacts-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-contacts-0.1.0/src/contacts-contact.c
gnome-contacts-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-contacts-0.1.0/src/contacts-store.c
gnome-contacts-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-contacts-0.1.0/src/contacts-utils.c
3 packages and 0 specfiles checked; 9 errors, 1 warnings.

Wrong FSF address - reported upstream: https://bugzilla.gnome.org/show_bug.cgi?id=652934
No manual - I assume upsteam will have a manual for it in the stable release.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Fabian Affolter 2011-06-19 13:30:37 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Just some comments:
> > 
> > - Why aren't your using the -devel packages as BRs and let rpm do the rest?
> Ok, if that's what you want.

The guidelines are only talking about -devel packages as BRs.

At the moment I have no Fedora Rawhide machine available but it seams that this is a gui application.  Tools with a gui needs a .desktop file.

Comment 5 Fabian Affolter 2011-06-19 13:33:27 UTC
Your package doesn't own %{_datadir}/%{name}/* Can you please recheck this according to https://fedoraproject.org/wiki/Packaging:UnownedDirectories

Comment 6 Elad Alfassa 2011-06-19 13:46:48 UTC
(In reply to comment #4)
> At the moment I have no Fedora Rawhide machine available but it seams that this
> is a gui application.  Tools with a gui needs a .desktop file.
It's a gui application in early development stage, that doesn't have upstream desktop file or even an icon. I prefer to wait for upstream to provide a desktop file and an icon.

(In reply to comment #5)
> Your package doesn't own %{_datadir}/%{name}/* Can you please recheck this
> according to https://fedoraproject.org/wiki/Packaging:UnownedDirectories
What a stupid mistake.
Fixed.

Spec (same link): http://elad.fedorapeople.org/reviews/gnome-contacts.spec
New SRPM: http://elad.fedorapeople.org/reviews/gnome-contacts-0.1.0-3.fc16.src.rpm



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Mario Blättermann 2011-06-20 20:45:40 UTC
(In reply to comment #6)
> (In reply to comment #4)
> > At the moment I have no Fedora Rawhide machine available but it seams that this
> > is a gui application.  Tools with a gui needs a .desktop file.
> It's a gui application in early development stage, that doesn't have upstream
> desktop file or even an icon. I prefer to wait for upstream to provide a
> desktop file and an icon.

Should't be that hard to add a *.desktop file. Look here:

-----------------------------------------------------------

#!/usr/bin/env xdg-open

[Desktop Entry]
Version=1.0
Type=Application
Terminal=false
Exec=gnome-contacts
Name=Contacts
Icon=gnome-panel-launcher

----------------------------------------------------------

"Icon" should be replaced by a GTK stock icon or by an icon from hicolor-icon-theme while adding this to "Requires".

Comment 8 Matthias Clasen 2011-06-20 23:33:41 UTC
I have committed a desktop file upstream, so the problem should solve itself in short order.

Comment 9 Elad Alfassa 2011-06-21 12:31:32 UTC
(In reply to comment #8)
> I have committed a desktop file upstream, so the problem should solve itself in
> short order.
Should I build a new version of the package from git snapshot, wait for a new release or add the desktop file myself for now?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 10 Matthias Clasen 2011-06-21 13:28:47 UTC
I would propose to ignore the problem for now, but thats just me, and I'm not doing this review...

Comment 11 Mario Blättermann 2011-06-21 17:50:29 UTC
Just add the desktop file from Git as a second source. This seems to be the most painless temporary solution.

Comment 12 Elad Alfassa 2011-06-29 13:48:44 UTC
(In reply to comment #11)
> Just add the desktop file from Git as a second source. This seems to be the
> most painless temporary solution.
The desktop file is generated on compile time, which means applying two patches from git. 
I don't know how to extract singular patches from git yet, so I can't do it.
I tried to create a new version of the gnome-contacts rpm from git master but it won't build since we don't have vala 0.13 on rawhide yet.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 13 Bastien Nocera 2011-07-04 09:53:19 UTC
(In reply to comment #12)
> (In reply to comment #11)
> > Just add the desktop file from Git as a second source. This seems to be the
> > most painless temporary solution.
> The desktop file is generated on compile time, which means applying two patches
> from git. 
> I don't know how to extract singular patches from git yet, so I can't do it.
> I tried to create a new version of the gnome-contacts rpm from git master but
> it won't build since we don't have vala 0.13 on rawhide yet.

gnome-contacts 0.1.1 was released:
http://mail.gnome.org/archives/ftp-release-list/2011-July/msg00003.html

As for creating a patch from git, try "git format-patch -1 SHA" where SHA identifies the commit. Or snarf it from the git web interface.

Comment 14 Elad Alfassa 2011-07-04 11:53:12 UTC
There is no use in updating the srpm until we have vala 0.13 in rawhide - it won't build without it.




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 15 Mario Blättermann 2011-07-04 17:45:47 UTC
(In reply to comment #14)
> There is no use in updating the srpm until we have vala 0.13 in rawhide - it
> won't build without it.
> 
> 
> 
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers

Add a dependency to bug #710421 to your review request. That's it (for the time being).

Comment 16 Elad Alfassa 2011-07-04 18:16:26 UTC
(In reply to comment #15)
> (In reply to comment #14)
> > There is no use in updating the srpm until we have vala 0.13 in rawhide - it
> > won't build without it.
> > 
> > 
> > 
> > 
> > -- 
> > Fedora Bugzappers volunteer triage team
> > https://fedoraproject.org/wiki/BugZappers
> 
> Add a dependency to bug #710421 to your review request. That's it (for the time
> being).
It already depends on #717653, which I now see is a dupe of #710421. 



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 17 Bastien Nocera 2011-07-05 09:20:12 UTC
(In reply to comment #14)
> There is no use in updating the srpm until we have vala 0.13 in rawhide - it
> won't build without it.

It will build without it, as there's pre-parsed C files in the tarball. You just need to game the configure script:
sed -i 's,0.13.0,0.12.0,g' configure

Comment 19 Christoph Wickert 2011-07-09 13:44:45 UTC
Stay tuned for a full review.

Comment 20 Christoph Wickert 2011-07-09 15:11:24 UTC
OK - MUST: $ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/gnome-contacts-*
gnome-contacts.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-contacts-0.1.1/COPYING
gnome-contacts.x86_64: W: no-manual-page-for-binary gnome-contacts
gnome-contacts-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-contacts-0.1.1/src/contacts-app.c
gnome-contacts-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-contacts-0.1.1/src/contacts-contact-pane.c
gnome-contacts-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-contacts-0.1.1/src/contacts-list-pane.c
gnome-contacts-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-contacts-0.1.1/src/contacts-types.c
gnome-contacts-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-contacts-0.1.1/src/contacts-contact.c
gnome-contacts-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-contacts-0.1.1/src/main.c
gnome-contacts-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-contacts-0.1.1/src/contacts-utils.c
gnome-contacts-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-contacts-0.1.1/src/contacts-store.c
gnome-contacts-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-contacts-0.1.1/src/contacts-menu-button.c
3 packages and 0 specfiles checked; 10 errors, 1 warnings.

OK - MUST: named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package %{name}
OK - MUST: package meets the Packaging Guidelines
OK - MUST: Fedora approved license and meets the Licensing Guidelines (GPLv2+)
OK - MUST: License field in spec file matches the actual license
OK - MUST: license file included in %doc
OK - MUST: spec is in American English
OK - MUST: spec is legible
OK - MUST: sources match the upstream source by MD5 06aeec251464cc5fb2a5731e830335b3
OK - MUST: successfully compiles and builds into binary rpms on i686 and x86_64
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: all build dependencies are listed in BuildRequires.
OK - MUST: handles locales properly with %find_lang
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
OK - MUST: Package does not bundle copies of system libraries.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
OK - MUST: owns all directories that it creates (only %{_datadir}/%{name})
OK - MUST: no duplicate files in the %files listing
OK - MUST: Permissions on files are set properly but does not include %defattr(...)
OK - MUST: consistently uses macros
OK - MUST: package contains code, or permissable content
N/A - MUST: Large documentation files should go in a -doc subpackage
OK - MUST: Files included as %doc do not affect the runtime of the application
N/A - MUST: Header files must be in a -devel package
N/A - MUST: Static libraries must be in a -static package
N/A - MUST: library files that end in .so are in the -devel package.
N/A - MUST: devel packages must require the base package using a fully versioned dependency
OK - MUST: The package does not contain any .la libtool archives.
OK - MUST: The package contains a GUI application and includes a %{name}.desktop file, and that file is properly validated with desktop-file-validate in the %install section.
OK - MUST: package does not own files or directories already owned by other packages.
OK - Should: at the beginning of %install, the package runs $RPM_BUILD_ROOT.
OK - MUST: all filenames valid UTF-8


SHOULD Items:
OK - SHOULD: Source package includes license text(s) as a separate file.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: builds in mock.
OK - SHOULD: compiles and builds into binary rpms on all supported architectures.
OK - SHOULD: functions as described.
N/A - SHOULD: Scriptlets are sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg
N/A - SHOULD: no file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin
N/A - SHOULD: package should contain man pages for binaries/scripts.

Other items:
OK - latest stable version
OK - SourceURL valid
OK - Compiler flags ok
OK - Debuginfo complete
N/A - SHOULD: package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
N/A - SHOULD: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.


Suggestions:
- Description could be more detailed.
- Please include '%defattr(-,root,root,-)' in the files section. It's no longer strictly required, but assures compatibility with more rpm versions.
- Same goes for %clean
- The category 'System' in the desktop file is definitely wrong. Use desktop-file-install to change it to "GNOME;GTK;Office;ContactManagement;" and make sure the change gets upstreamed.
- Drop README file as long as it's empty

None of this is a blocker, so you can fix these later and to your own judgment.

Please make sure to not accidentally try to bring this to F15, it won't build because folks os too old.

Package is APPROVED.

Comment 21 Elad Alfassa 2011-07-09 15:24:12 UTC
Thank you!



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 22 Elad Alfassa 2011-07-09 15:26:49 UTC
New Package SCM Request
=======================
Package Name: gnome-contacts
Short Description: Contacts manager for GNOME
Owners: elad alexl
Branches: 
InitialCC: 




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 23 Elad Alfassa 2011-07-09 15:27:13 UTC

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 24 Gwyn Ciesla 2011-07-09 23:43:49 UTC
Git done (by process-git-requests).

Comment 25 Elad Alfassa 2011-07-12 06:53:12 UTC
Closing, it's on rawhide.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.